Reference for unit 'AMsgBox': Procedures and functions

MessageBox
Documentation generated on: 2021-07-30


Index of all identifiers in unit 'AMsgBox'

M

M

MessageBox


MessageBox

Declaration

Source position: amsgbox.pas line 30

function MessageBox(

  const tit: RawByteString;

  const txt: RawByteString;

  const gad: RawByteString

):LongInt;

function MessageBox(

  const tit: string;

  const txt: string;

  const gad: string

):LongInt;

function MessageBox(

  const tit: pchar;

  const txt: pchar;

  const gad: pchar

):LongInt;


Reference for unit 'cliputils': Procedures and functions

GetTextFromClip

PutTextToClip


Index of all identifiers in unit 'cliputils'

G P

G

GetTextFromClip

P

PutTextToClip


GetTextFromClip

Declaration

Source position: cliputils.pas line 22

function GetTextFromClip(

  ClipUnit: Byte

):string;


PutTextToClip

Declaration

Source position: cliputils.pas line 23

function PutTextToClip(

  ClipUnit: Byte;

  Text: string

):Boolean;


Reference for unit 'muihelper': Procedures and functions

MAKE_ID

MH_Aboutmui

MH_Application

MH_Balance

MH_Bitmap

MH_BodyChunk

MH_Boopsi

MH_Button

MH_CheckMark

MH_CLabel

MH_CLabel1

MH_CLabel2

MH_ColGroup

MH_ColGroupV

MH_Coloradjust

MH_Colorfield

MH_CreateCustomClass

MH_Cycle

MH_Dirlist

MH_Floattext

MH_FreeCLabel

MH_FreeCLabel1

MH_FreeCLabel2

MH_FreeLabel

MH_FreeLabel1

MH_FreeLabel2

MH_FreeLLabel

MH_FreeLLabel1

MH_FreeLLabel2

MH_Gauge

MH_Get

MH_Group

MH_HBar

MH_HCenter

MH_HGroup

MH_HGroupV

MH_HSpace

MH_HVSpace

MH_Image

MH_KeyButton

MH_KeyCheckMark

MH_KeyCycle

MH_KeyRadio

MH_KeySlider

MH_KeyString

MH_Knob

MH_Label

MH_Label1

MH_Label2

MH_Levelmeter

MH_List

MH_Listview

MH_LLabel

MH_LLabel1

MH_LLabel2

MH_Menu

MH_Menuitem

MH_Menustrip

MH_NewObject

MH_Notify

MH_Numeric

MH_Numericbutton

MH_Pagegroup

MH_PagegroupV

MH_Palette

MH_Penadjust

MH_Pendisplay

MH_Popasl

MH_PopButton

MH_Poplist

MH_Popobject

MH_Poppen

MH_Popstring

MH_Prop

MH_Radio

MH_Rectangle

MH_Register

MH_RegisterGroup

MH_RowGroup

MH_RowGroupV

MH_Scale

MH_Scrmodelist

MH_Scrollbar

MH_Scrollgroup

MH_Set

MH_SetCheckmark

MH_SetCycle

MH_SetHook

MH_SetMutex

MH_SetSlider

MH_SetString

MH_SimpleButton

MH_Slider

MH_String

MH_Text

MH_VBar

MH_VCenter

MH_VGroup

MH_VGroupV

MH_Virtgroup

MH_Volumelist

MH_VSpace

MH_Window


Index of all identifiers in unit 'muihelper'

B C G I M N P R S T V W

B

ButtonFrame

C

Child

G

GaugeFrame GroupFrame

I

ImageButtonFrame InputListFrame

M

MAKE_ID | MH_HGroupV | MH_Popobject
MH_Aboutmui | MH_HSpace | MH_Poppen
MH_Application | MH_HVSpace | MH_Popstring
MH_Balance | MH_Image | MH_Prop
MH_Bitmap | MH_KeyButton | MH_Radio
MH_BodyChunk | MH_KeyCheckMark | MH_Rectangle
MH_Boopsi | MH_KeyCycle | MH_Register
MH_Button | MH_KeyRadio | MH_RegisterGroup
MH_CheckMark | MH_KeySlider | MH_RowGroup
MH_CLabel | MH_KeyString | MH_RowGroupV
MH_CLabel1 | MH_Knob | MH_Scale
MH_CLabel2 | MH_Label | MH_Scrmodelist
MH_ColGroup | MH_Label1 | MH_Scrollbar
MH_ColGroupV | MH_Label2 | MH_Scrollgroup
MH_Coloradjust | MH_Levelmeter | MH_Set
MH_Colorfield | MH_List | MH_SetCheckmark
MH_CreateCustomClass | MH_Listview | MH_SetCycle
MH_Cycle | MH_LLabel | MH_SetHook
MH_Dirlist | MH_LLabel1 | MH_SetMutex
MH_Floattext | MH_LLabel2 | MH_SetSlider
MH_FreeCLabel | MH_Menu | MH_SetString
MH_FreeCLabel1 | MH_Menuitem | MH_SimpleButton
MH_FreeCLabel2 | MH_Menustrip | MH_Slider
MH_FreeLabel | MH_NewObject | MH_String
MH_FreeLabel1 | MH_Notify | MH_Text
MH_FreeLabel2 | MH_Numeric | MH_VBar
MH_FreeLLabel | MH_Numericbutton | MH_VCenter
MH_FreeLLabel1 | MH_Pagegroup | MH_VGroup
MH_FreeLLabel2 | MH_PagegroupV | MH_VGroupV
MH_Gauge | MH_Palette | MH_Virtgroup
MH_Get | MH_Penadjust | MH_Volumelist
MH_Group | MH_Pendisplay | MH_VSpace
MH_HBar | MH_Popasl | MH_Window
MH_HCenter | MH_PopButton | MUI_FALSE
MH_HGroup | MH_Poplist | MUI_TRUE

N

NoFrame

P

PropFrame

R

ReadListFrame

S

SliderFrame StringFrame SubWindow

T

TDispatcherFunc TextFrame THookFunc

V

VirtualFrame

W

WindowContents


MAKE_ID

Declaration

Source position: muihelper.pas line 306

function MAKE_ID(

  c1: Char;

  c2: Char;

  c3: Char;

  c4: Char

):LongWord;


MH_Aboutmui

Declaration

Source position: muihelper.pas line 197

function MH_Aboutmui(

  const Tags: array of PtrUInt

):PObject_;

function MH_Aboutmui(

  var Aboutmui;

  const Tags: array of PtrUInt

):PObject_;


MH_Application

Declaration

Source position: muihelper.pas line 83

function MH_Application(

  const Tags: array of PtrUInt

):PObject_;

function MH_Application(

  var App;

  const Tags: array of PtrUInt

):PObject_;


MH_Balance

Declaration

Source position: muihelper.pas line 98

function MH_Balance(

  const Tags: array of PtrUInt

):PObject_;

function MH_Balance(

  var Balance;

  const Tags: array of PtrUInt

):PObject_;


MH_Bitmap

Declaration

Source position: muihelper.pas line 74

function MH_Bitmap(

  const Tags: array of PtrUInt

):PObject_;

function MH_Bitmap(

  var Bitmap;

  const Tags: array of PtrUInt

):PObject_;


MH_BodyChunk

Declaration

Source position: muihelper.pas line 77

function MH_BodyChunk(

  const Tags: array of PtrUInt

):PObject_;

function MH_BodyChunk(

  var BodyChunk;

  const Tags: array of PtrUInt

):PObject_;


MH_Boopsi

Declaration

Source position: muihelper.pas line 152

function MH_Boopsi(

  const Tags: array of PtrUInt

):PObject_;

function MH_Boopsi(

  var Boopsi;

  const Tags: array of PtrUInt

):PObject_;


MH_Button

Declaration

Source position: muihelper.pas line 238

function MH_Button(

  BLabel: PChar

):PObject_;

function MH_Button(

  var Button;

  BLabel: PChar

):PObject_;


MH_CheckMark

Declaration

Source position: muihelper.pas line 323

function MH_CheckMark(

  Selected: Boolean

):PObject_;

function MH_CheckMark(

  var CM: PObject_;

  Selected: Boolean

):PObject_;


MH_CLabel

Declaration

Source position: muihelper.pas line 264

function MH_CLabel(

  BLabel: PChar

):PObject_;

function MH_CLabel(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_CLabel1

Declaration

Source position: muihelper.pas line 267

function MH_CLabel1(

  BLabel: PChar

):PObject_;

function MH_CLabel1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_CLabel2

Declaration

Source position: muihelper.pas line 270

function MH_CLabel2(

  BLabel: PChar

):PObject_;

function MH_CLabel2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_ColGroup

Declaration

Source position: muihelper.pas line 210

function MH_ColGroup(

  Cols: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_ColGroup(

  Cols: LongWord;

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_ColGroup(

  Cols: LongWord;

  Title: PChar;

  const Tags: array of PtrUInt

):PObject_;


MH_ColGroupV

Declaration

Source position: muihelper.pas line 223

function MH_ColGroupV(

  Cols: LongWord;

  const Tags: array of PtrUInt

):PObject_;


MH_Coloradjust

Declaration

Source position: muihelper.pas line 161

function MH_Coloradjust(

  const Tags: array of PtrUInt

):PObject_;

function MH_Coloradjust(

  var Coloradjust;

  const Tags: array of PtrUInt

):PObject_;


MH_Colorfield

Declaration

Source position: muihelper.pas line 155

function MH_Colorfield(

  const Tags: array of PtrUInt

):PObject_;

function MH_Colorfield(

  var Colorfield;

  const Tags: array of PtrUInt

):PObject_;


MH_CreateCustomClass

Declaration

Source position: muihelper.pas line 360

function MH_CreateCustomClass(

  Base: PLibrary;

  Supername: PChar;

  Supermcc: PMUI_CustomClass;

  DataSize: LongInt;

  Dispatcher: TDispatcherFunc

):PMUI_CustomClass;


MH_Cycle

Declaration

Source position: muihelper.pas line 128

function MH_Cycle(

  const Tags: array of PtrUInt

):PObject_;

function MH_Cycle(

  var Cycle;

  const Tags: array of PtrUInt

):PObject_;

function MH_Cycle(

  Entries: PPChar

):PObject_;

function MH_Cycle(

  var CY: PObject_;

  Entries: PPChar

):PObject_;


MH_Dirlist

Declaration

Source position: muihelper.pas line 125

function MH_Dirlist(

  const Tags: array of PtrUInt

):PObject_;

function MH_Dirlist(

  var Dirlist;

  const Tags: array of PtrUInt

):PObject_;


MH_Floattext

Declaration

Source position: muihelper.pas line 122

function MH_Floattext(

  const Tags: array of PtrUInt

):PObject_;

function MH_Floattext(

  var Floattext;

  const Tags: array of PtrUInt

):PObject_;


MH_FreeCLabel

Declaration

Source position: muihelper.pas line 291

function MH_FreeCLabel(

  BLabel: PChar

):PObject_;

function MH_FreeCLabel(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeCLabel1

Declaration

Source position: muihelper.pas line 294

function MH_FreeCLabel1(

  BLabel: PChar

):PObject_;

function MH_FreeCLabel1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeCLabel2

Declaration

Source position: muihelper.pas line 297

function MH_FreeCLabel2(

  BLabel: PChar

):PObject_;

function MH_FreeCLabel2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLabel

Declaration

Source position: muihelper.pas line 273

function MH_FreeLabel(

  BLabel: PChar

):PObject_;

function MH_FreeLabel(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLabel1

Declaration

Source position: muihelper.pas line 276

function MH_FreeLabel1(

  BLabel: PChar

):PObject_;

function MH_FreeLabel1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLabel2

Declaration

Source position: muihelper.pas line 279

function MH_FreeLabel2(

  BLabel: PChar

):PObject_;

function MH_FreeLabel2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLLabel

Declaration

Source position: muihelper.pas line 282

function MH_FreeLLabel(

  BLabel: PChar

):PObject_;

function MH_FreeLLabel(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLLabel1

Declaration

Source position: muihelper.pas line 285

function MH_FreeLLabel1(

  BLabel: PChar

):PObject_;

function MH_FreeLLabel1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_FreeLLabel2

Declaration

Source position: muihelper.pas line 288

function MH_FreeLLabel2(

  BLabel: PChar

):PObject_;

function MH_FreeLLabel2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_Gauge

Declaration

Source position: muihelper.pas line 131

function MH_Gauge(

  const Tags: array of PtrUInt

):PObject_;

function MH_Gauge(

  var Gauge;

  const Tags: array of PtrUInt

):PObject_;


MH_Get

Declaration

Source position: muihelper.pas line 309

function MH_Get(

  Obj: PObject_;

  Tag: PtrUInt

):PtrUInt;


MH_Group

Declaration

Source position: muihelper.pas line 167

function MH_Group(

  const Tags: array of PtrUInt

):PObject_;

function MH_Group(

  var Group;

  const Tags: array of PtrUInt

):PObject_;


MH_HBar

Declaration

Source position: muihelper.pas line 300

function MH_HBar(

  Space: LongWord

):PObject_;

function MH_HBar(

  var HBar;

  Space: LongWord

):PObject_;


MH_HCenter

Declaration

Source position: muihelper.pas line 235

function MH_HCenter(

  Obj: PObject_

):PObject_;


MH_HGroup

Declaration

Source position: muihelper.pas line 206

function MH_HGroup(

  const Tags: array of PtrUInt

):PObject_;

function MH_HGroup(

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_HGroup(

  Title: PChar;

  const Tags: array of PtrUInt

):PObject_;


MH_HGroupV

Declaration

Source position: muihelper.pas line 221

function MH_HGroupV(

  const Tags: array of PtrUInt

):PObject_;


MH_HSpace

Declaration

Source position: muihelper.pas line 233

function MH_HSpace(

  x: LongWord

):PObject_;


MH_HVSpace

Declaration

Source position: muihelper.pas line 232

function MH_HVSpace: PObject_;


MH_Image

Declaration

Source position: muihelper.pas line 71

function MH_Image(

  const Tags: array of PtrUInt

):PObject_;

function MH_Image(

  var Image;

  const Tags: array of PtrUInt

):PObject_;


MH_KeyButton

Declaration

Source position: muihelper.pas line 329

function MH_KeyButton(

  Name: PChar;

  Key: Char

):PObject_;

function MH_KeyButton(

  var KB: PObject_;

  Name: PChar;

  Key: Char

):PObject_;


MH_KeyCheckMark

Declaration

Source position: muihelper.pas line 326

function MH_KeyCheckMark(

  Selected: Boolean;

  ControlChar: Char

):PObject_;

function MH_KeyCheckMark(

  var CM: PObject_;

  Selected: Boolean;

  ControlChar: Char

):PObject_;


MH_KeyCycle

Declaration

Source position: muihelper.pas line 335

function MH_KeyCycle(

  Entries: PPChar;

  Key: Char

):PObject_;

function MH_KeyCycle(

  var KC: PObject_;

  Entries: PPChar;

  Key: Char

):PObject_;


MH_KeyRadio

Declaration

Source position: muihelper.pas line 341

function MH_KeyRadio(

  Name: PChar;

  Rarray: PPChar;

  Key: Char

):PObject_;

function MH_KeyRadio(

  var KR: PObject_;

  Name: PChar;

  Rarray: PPChar;

  Key: Char

):PObject_;


MH_KeySlider

Declaration

Source position: muihelper.pas line 347

function MH_KeySlider(

  MinS: Integer;

  MaxS: Integer;

  Level: Integer;

  Key: Char

):PObject_;

function MH_KeySlider(

  var KS: PObject_;

  MinS: Integer;

  MaxS: Integer;

  Level: Integer;

  Key: Char

):PObject_;


MH_KeyString

Declaration

Source position: muihelper.pas line 320

function MH_KeyString(

  Contents: PChar;

  MaxLen: Integer;

  ControlChar: Char

):PObject_;

function MH_KeyString(

  var NString: PObject_;

  Contents: PChar;

  MaxLen: Integer;

  ControlChar: Char

):PObject_;


MH_Knob

Declaration

Source position: muihelper.pas line 146

function MH_Knob(

  const Tags: array of PtrUInt

):PObject_;

function MH_Knob(

  var Knob;

  const Tags: array of PtrUInt

):PObject_;


MH_Label

Declaration

Source position: muihelper.pas line 246

function MH_Label(

  BLabel: PChar

):PObject_;

function MH_Label(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_Label1

Declaration

Source position: muihelper.pas line 249

function MH_Label1(

  BLabel: PChar

):PObject_;

function MH_Label1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_Label2

Declaration

Source position: muihelper.pas line 252

function MH_Label2(

  BLabel: PChar

):PObject_;

function MH_Label2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_Levelmeter

Declaration

Source position: muihelper.pas line 149

function MH_Levelmeter(

  const Tags: array of PtrUInt

):PObject_;

function MH_Levelmeter(

  var Levelmeter;

  const Tags: array of PtrUInt

):PObject_;


MH_List

Declaration

Source position: muihelper.pas line 101

function MH_List(

  const Tags: array of PtrUInt

):PObject_;

function MH_List(

  var List;

  const Tags: array of PtrUInt

):PObject_;


MH_Listview

Declaration

Source position: muihelper.pas line 113

function MH_Listview(

  const Tags: array of PtrUInt

):PObject_;

function MH_Listview(

  var Listview;

  const Tags: array of PtrUInt

):PObject_;


MH_LLabel

Declaration

Source position: muihelper.pas line 255

function MH_LLabel(

  BLabel: PChar

):PObject_;

function MH_LLabel(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_LLabel1

Declaration

Source position: muihelper.pas line 258

function MH_LLabel1(

  BLabel: PChar

):PObject_;

function MH_LLabel1(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_LLabel2

Declaration

Source position: muihelper.pas line 261

function MH_LLabel2(

  BLabel: PChar

):PObject_;

function MH_LLabel2(

  var OLabel;

  BLabel: PChar

):PObject_;


MH_Menu

Declaration

Source position: muihelper.pas line 60

function MH_Menu(

  const Tags: array of PtrUInt

):PObject_;

function MH_Menu(

  var Menu;

  const Tags: array of PtrUInt

):PObject_;

function MH_Menu(

  Name: PChar;

  const Tags: array of PtrUInt

):PObject_;

function MH_Menu(

  var Menu;

  Name: PChar;

  const Tags: array of PtrUInt

):PObject_;


MH_Menuitem

Declaration

Source position: muihelper.pas line 65

function MH_Menuitem(

  const Tags: array of PtrUInt

):PObject_;

function MH_Menuitem(

  var Menuitem;

  const Tags: array of PtrUInt

):PObject_;


MH_Menustrip

Declaration

Source position: muihelper.pas line 57

function MH_Menustrip(

  const Tags: array of PtrUInt

):PObject_;

function MH_Menustrip(

  var MenuStrip;

  const Tags: array of PtrUInt

):PObject_;


MH_NewObject

Declaration

Source position: muihelper.pas line 354

function MH_NewObject(

  ClassPtr: PIClass;

  ClassID: PChar;

  const Tags: array of PtrUInt

):APTR;

function MH_NewObject(

  var Obj;

  ClassPtr: PIClass;

  ClassID: PChar;

  const Tags: array of PtrUInt

):APTR;


MH_Notify

Declaration

Source position: muihelper.pas line 80

function MH_Notify(

  const Tags: array of PtrUInt

):PObject_;

function MH_Notify(

  var Notify;

  const Tags: array of PtrUInt

):PObject_;


MH_Numeric

Declaration

Source position: muihelper.pas line 137

function MH_Numeric(

  const Tags: array of PtrUInt

):PObject_;

function MH_Numeric(

  var Numeric;

  const Tags: array of PtrUInt

):PObject_;


MH_Numericbutton

Declaration

Source position: muihelper.pas line 143

function MH_Numericbutton(

  const Tags: array of PtrUInt

):PObject_;

function MH_Numericbutton(

  var Numericbutton;

  const Tags: array of PtrUInt

):PObject_;


MH_Pagegroup

Declaration

Source position: muihelper.pas line 217

function MH_Pagegroup(

  const Tags: array of PtrUInt

):PObject_;

function MH_Pagegroup(

  var Pagegroup;

  const Tags: array of PtrUInt

):PObject_;


MH_PagegroupV

Declaration

Source position: muihelper.pas line 226

function MH_PagegroupV(

  const Tags: array of PtrUInt

):PObject_;

function MH_PagegroupV(

  var Pagegroup;

  const Tags: array of PtrUInt

):PObject_;


MH_Palette

Declaration

Source position: muihelper.pas line 164

function MH_Palette(

  const Tags: array of PtrUInt

):PObject_;

function MH_Palette(

  var Palette;

  const Tags: array of PtrUInt

):PObject_;


MH_Penadjust

Declaration

Source position: muihelper.pas line 158

function MH_Penadjust(

  const Tags: array of PtrUInt

):PObject_;

function MH_Penadjust(

  var Penadjust;

  const Tags: array of PtrUInt

):PObject_;


MH_Pendisplay

Declaration

Source position: muihelper.pas line 191

function MH_Pendisplay(

  const Tags: array of PtrUInt

):PObject_;

function MH_Pendisplay(

  var Pendisplay;

  const Tags: array of PtrUInt

):PObject_;


MH_Popasl

Declaration

Source position: muihelper.pas line 188

function MH_Popasl(

  const Tags: array of PtrUInt

):PObject_;

function MH_Popasl(

  var Popasl;

  const Tags: array of PtrUInt

):PObject_;


MH_PopButton

Declaration

Source position: muihelper.pas line 243

function MH_PopButton(

  Img: PChar

):PObject_;

function MH_PopButton(

  var PopButton;

  img: PChar

):PObject_;


MH_Poplist

Declaration

Source position: muihelper.pas line 185

function MH_Poplist(

  const Tags: array of PtrUInt

):PObject_;

function MH_Poplist(

  var Poplist;

  const Tags: array of PtrUInt

):PObject_;


MH_Popobject

Declaration

Source position: muihelper.pas line 182

function MH_Popobject(

  const Tags: array of PtrUInt

):PObject_;

function MH_Popobject(

  var Popobject;

  const Tags: array of PtrUInt

):PObject_;


MH_Poppen

Declaration

Source position: muihelper.pas line 194

function MH_Poppen(

  const Tags: array of PtrUInt

):PObject_;

function MH_Poppen(

  var Poppen;

  const Tags: array of PtrUInt

):PObject_;


MH_Popstring

Declaration

Source position: muihelper.pas line 179

function MH_Popstring(

  const Tags: array of PtrUInt

):PObject_;

function MH_Popstring(

  var Popstring;

  const Tags: array of PtrUInt

):PObject_;


MH_Prop

Declaration

Source position: muihelper.pas line 104

function MH_Prop(

  const Tags: array of PtrUInt

):PObject_;

function MH_Prop(

  var Prop;

  const Tags: array of PtrUInt

):PObject_;


MH_Radio

Declaration

Source position: muihelper.pas line 116

function MH_Radio(

  const Tags: array of PtrUInt

):PObject_;

function MH_Radio(

  var Radio;

  const Tags: array of PtrUInt

):PObject_;

function MH_Radio(

  Name: PChar;

  Rarray: PPChar

):PObject_;

function MH_Radio(

  var RA: PObject_;

  Name: PChar;

  Rarray: PPChar

):PObject_;


MH_Rectangle

Declaration

Source position: muihelper.pas line 93

function MH_Rectangle(

  const Tags: array of PtrUInt

):PObject_;

function MH_Rectangle(

  var Rectangle;

  const Tags: array of PtrUInt

):PObject_;

function MH_Rectangle(

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_Rectangle(

  var Rectangle;

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;


MH_Register

Declaration

Source position: muihelper.pas line 170

function MH_Register(

  const Tags: array of PtrUInt

):PObject_;

function MH_Register(

  var Register;

  const Tags: array of PtrUInt

):PObject_;


MH_RegisterGroup

Declaration

Source position: muihelper.pas line 229

function MH_RegisterGroup(

  Titles: PPChar;

  const Tags: array of PtrUInt

):PObject_;

function MH_RegisterGroup(

  var RegisterGroup;

  Titles: PPChar;

  const Tags: array of PtrUInt

):PObject_;


MH_RowGroup

Declaration

Source position: muihelper.pas line 213

function MH_RowGroup(

  Rows: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_RowGroup(

  Rows: LongWord;

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_RowGroup(

  Rows: LongWord;

  Title: PChar;

  const Tags: array of PtrUInt

):PObject_;


MH_RowGroupV

Declaration

Source position: muihelper.pas line 224

function MH_RowGroupV(

  Rows: LongWord;

  const Tags: array of PtrUInt

):PObject_;


MH_Scale

Declaration

Source position: muihelper.pas line 134

function MH_Scale(

  const Tags: array of PtrUInt

):PObject_;

function MH_Scale(

  var Scale;

  const Tags: array of PtrUInt

):PObject_;


MH_Scrmodelist

Declaration

Source position: muihelper.pas line 200

function MH_Scrmodelist(

  const Tags: array of PtrUInt

):PObject_;

function MH_Scrmodelist(

  var Scrmodelist;

  const Tags: array of PtrUInt

):PObject_;


MH_Scrollbar

Declaration

Source position: muihelper.pas line 110

function MH_Scrollbar(

  const Tags: array of PtrUInt

):PObject_;

function MH_Scrollbar(

  var Scrollbar;

  const Tags: array of PtrUInt

):PObject_;


MH_Scrollgroup

Declaration

Source position: muihelper.pas line 176

function MH_Scrollgroup(

  const Tags: array of PtrUInt

):PObject_;

function MH_Scrollgroup(

  var Scrollgroup;

  const Tags: array of PtrUInt

):PObject_;


MH_Set

Declaration

Source position: muihelper.pas line 308

procedure MH_Set(

  Obj: PObject_;

  Tag: PtrUInt;

  Data: PtrUInt

);


MH_SetCheckmark

Declaration

Source position: muihelper.pas line 313

procedure MH_SetCheckmark(

  Obj: PObject_;

  b: Boolean

);


MH_SetCycle

Declaration

Source position: muihelper.pas line 311

procedure MH_SetCycle(

  Obj: PObject_;

  n: Integer

);


MH_SetHook

Declaration

Source position: muihelper.pas line 358

procedure MH_SetHook(

  var Hook: THook;

  Func: THookFunc;

  Data: Pointer

);


MH_SetMutex

Declaration

Source position: muihelper.pas line 310

procedure MH_SetMutex(

  Obj: PObject_;

  n: Integer

);


MH_SetSlider

Declaration

Source position: muihelper.pas line 314

procedure MH_SetSlider(

  Obj: PObject_;

  l: LongInt

);


MH_SetString

Declaration

Source position: muihelper.pas line 312

procedure MH_SetString(

  Obj: PObject_;

  s: PChar

);


MH_SimpleButton

Declaration

Source position: muihelper.pas line 240

function MH_SimpleButton(

  BLabel: PChar

):PObject_;

function MH_SimpleButton(

  var Button;

  BLabel: PChar

):PObject_;


MH_Slider

Declaration

Source position: muihelper.pas line 140

function MH_Slider(

  const Tags: array of PtrUInt

):PObject_;

function MH_Slider(

  var Slider;

  const Tags: array of PtrUInt

):PObject_;

function MH_Slider(

  MinS: Integer;

  MaxS: Integer;

  Level: Integer

):PObject_;

function MH_Slider(

  var SL: PObject_;

  MinS: Integer;

  MaxS: Integer;

  Level: Integer

):PObject_;


MH_String

Declaration

Source position: muihelper.pas line 107

function MH_String(

  const Tags: array of PtrUInt

):PObject_;

function MH_String(

  var NString;

  const Tags: array of PtrUInt

):PObject_;

function MH_String(

  Contents: PChar;

  MaxLen: Integer

):PObject_;

function MH_String(

  var NString: PObject_;

  Contents: PChar;

  MaxLen: Integer

):PObject_;


MH_Text

Declaration

Source position: muihelper.pas line 86

function MH_Text(

  Contents: PChar

):PObject_;

function MH_Text(

  Contents: PChar;

  const Tags: array of PtrUInt

):PObject_;

function MH_Text(

  var Text_;

  Contents: PChar

):PObject_;

function MH_Text(

  var Text_;

  Contents: PChar;

  const Tags: array of PtrUInt

):PObject_;

function MH_Text(

  const Tags: array of PtrUInt

):PObject_;

function MH_Text(

  var NText;

  const Tags: array of PtrUInt

):PObject_;


MH_VBar

Declaration

Source position: muihelper.pas line 303

function MH_VBar(

  Space: LongWord

):PObject_;

function MH_VBar(

  var VBar;

  Space: LongWord

):PObject_;


MH_VCenter

Declaration

Source position: muihelper.pas line 236

function MH_VCenter(

  Obj: PObject_

):PObject_;


MH_VGroup

Declaration

Source position: muihelper.pas line 203

function MH_VGroup(

  const Tags: array of PtrUInt

):pObject_;

function MH_VGroup(

  Frame: LongWord;

  const Tags: array of PtrUInt

):PObject_;

function MH_VGroup(

  Title: PChar;

  const Tags: array of PtrUInt

):PObject_;


MH_VGroupV

Declaration

Source position: muihelper.pas line 220

function MH_VGroupV(

  const Tags: array of PtrUInt

):PObject_;


MH_Virtgroup

Declaration

Source position: muihelper.pas line 173

function MH_Virtgroup(

  const Tags: array of PtrUInt

):PObject_;

function MH_Virtgroup(

  var Virtgroup;

  const Tags: array of PtrUInt

):PObject_;


MH_Volumelist

Declaration

Source position: muihelper.pas line 119

function MH_Volumelist(

  const Tags: array of PtrUInt

):PObject_;

function MH_Volumelist(

  var Volumelist;

  const Tags: array of PtrUInt

):PObject_;


MH_VSpace

Declaration

Source position: muihelper.pas line 234

function MH_VSpace(

  x: LongWord

):PObject_;


MH_Window

Declaration

Source position: muihelper.pas line 68

function MH_Window(

  const Tags: array of PtrUInt

):PObject_;

function MH_Window(

  var Win;

  const Tags: array of PtrUInt

):PObject_;


Reference for unit 'pcq': Procedures and functions

AllocString

CheckBreak

FreeString

isalnum

isalpha

isdigit

islower

isspace

isupper

lowercase

strcmp

strcpy

strdup

streq

stricmp

strieq

strncat

strncmp

strncpy

strneq

strnicmp

strnieq

strpos

strrpos

tolower

toupper

uppercase


Index of all identifiers in unit 'pcq'

A C F I L S T U

A

AllocString

C

CheckBreak

F

FreeString

I

isalnum | isdigit | isspace
isalpha | islower | isupper

L

lowercase

S

strcmp | strieq | strnicmp
strcpy | strncat | strnieq
strdup | strncmp | strpos
streq | strncpy | strrpos
stricmp | strneq |

T

tolower toupper

U

uppercase


AllocString

Declaration

Source position: pcq.pas line 204

function AllocString(

  l: LongInt

):pchar;


CheckBreak

Declaration

Source position: pcq.pas line 59

function CheckBreak: Boolean;


FreeString

Declaration

Source position: pcq.pas line 212

procedure FreeString(

  s: pchar

);


isalnum

Declaration

Source position: pcq.pas line 81

function isalnum(

  c: Char

):Boolean;


isalpha

Declaration

Source position: pcq.pas line 71

function isalpha(

  c: Char

):Boolean;


isdigit

Declaration

Source position: pcq.pas line 76

function isdigit(

  c: Char

):Boolean;


islower

Declaration

Source position: pcq.pas line 66

function islower(

  c: Char

):Boolean;


isspace

Declaration

Source position: pcq.pas line 86

function isspace(

  c: Char

):Boolean;


isupper

Declaration

Source position: pcq.pas line 61

function isupper(

  c: Char

):Boolean;


lowercase

Declaration

Source position: pcq.pas line 106

function lowercase(

  c: Char

):Char;

function lowercase(

  c: pchar

):pchar;


strcmp

Declaration

Source position: pcq.pas line 150

function strcmp(

  s1: pchar;

  s2: pchar

):LongInt;


strcpy

Declaration

Source position: pcq.pas line 171

procedure strcpy(

  s1: pchar;

  s2: pchar

);


strdup

Declaration

Source position: pcq.pas line 187

function strdup(

  s: pchar

):pchar;


streq

Declaration

Source position: pcq.pas line 130

function streq(

  s1: pchar;

  s2: pchar

):Boolean;


stricmp

Declaration

Source position: pcq.pas line 156

function stricmp(

  s1: pchar;

  s2: pchar

):LongInt;


strieq

Declaration

Source position: pcq.pas line 140

function strieq(

  s1: pchar;

  s2: pchar

):Boolean;


strncat

Declaration

Source position: pcq.pas line 182

procedure strncat(

  s1: pchar;

  s2: pchar;

  n: SmallInt

);


strncmp

Declaration

Source position: pcq.pas line 161

function strncmp(

  s1: pchar;

  s2: pchar;

  n: LongInt

):LongInt;


strncpy

Declaration

Source position: pcq.pas line 176

procedure strncpy(

  s1: pchar;

  s2: pchar;

  n: SmallInt

);


strneq

Declaration

Source position: pcq.pas line 135

function strneq(

  s1: pchar;

  s2: pchar;

  n: LongInt

):Boolean;


strnicmp

Declaration

Source position: pcq.pas line 166

function strnicmp(

  s1: pchar;

  s2: pchar;

  n: LongInt

):LongInt;


strnieq

Declaration

Source position: pcq.pas line 145

function strnieq(

  s1: pchar;

  s2: pchar;

  n: LongInt

):Boolean;


strpos

Declaration

Source position: pcq.pas line 192

function strpos(

  s1: pchar;

  c: Char

):LongInt;


strrpos

Declaration

Source position: pcq.pas line 198

function strrpos(

  s1: pchar;

  c: Char

):LongInt;


tolower

Declaration

Source position: pcq.pas line 99

function tolower(

  c: Char

):Char;


toupper

Declaration

Source position: pcq.pas line 92

function toupper(

  c: Char

):Char;


uppercase

Declaration

Source position: pcq.pas line 118

function uppercase(

  c: Char

):Char;

function uppercase(

  c: pchar

):pchar;


Reference for package 'ami-extra'

Units

AMsgBox

cliputils

muihelper

Helper function to create MUI applications

pcq


Index of all identifiers in package 'ami-extra'

A B C F G I L M N P R S T U V W

A

AllocString AMsgBox

B

ButtonFrame

C

CheckBreak Child cliputils

F

FreeString

G

GaugeFrame GetTextFromClip GroupFrame

I

ImageButtonFrame | isalpha | isspace
InputListFrame | isdigit | isupper
isalnum | islower |

L

lowercase

M

MAKE_ID | MH_HGroupV | MH_Poppen
MessageBox | MH_HSpace | MH_Popstring
MH_Aboutmui | MH_HVSpace | MH_Prop
MH_Application | MH_Image | MH_Radio
MH_Balance | MH_KeyButton | MH_Rectangle
MH_Bitmap | MH_KeyCheckMark | MH_Register
MH_BodyChunk | MH_KeyCycle | MH_RegisterGroup
MH_Boopsi | MH_KeyRadio | MH_RowGroup
MH_Button | MH_KeySlider | MH_RowGroupV
MH_CheckMark | MH_KeyString | MH_Scale
MH_CLabel | MH_Knob | MH_Scrmodelist
MH_CLabel1 | MH_Label | MH_Scrollbar
MH_CLabel2 | MH_Label1 | MH_Scrollgroup
MH_ColGroup | MH_Label2 | MH_Set
MH_ColGroupV | MH_Levelmeter | MH_SetCheckmark
MH_Coloradjust | MH_List | MH_SetCycle
MH_Colorfield | MH_Listview | MH_SetHook
MH_CreateCustomClass | MH_LLabel | MH_SetMutex
MH_Cycle | MH_LLabel1 | MH_SetSlider
MH_Dirlist | MH_LLabel2 | MH_SetString
MH_Floattext | MH_Menu | MH_SimpleButton
MH_FreeCLabel | MH_Menuitem | MH_Slider
MH_FreeCLabel1 | MH_Menustrip | MH_String
MH_FreeCLabel2 | MH_NewObject | MH_Text
MH_FreeLabel | MH_Notify | MH_VBar
MH_FreeLabel1 | MH_Numeric | MH_VCenter
MH_FreeLabel2 | MH_Numericbutton | MH_VGroup
MH_FreeLLabel | MH_Pagegroup | MH_VGroupV
MH_FreeLLabel1 | MH_PagegroupV | MH_Virtgroup
MH_FreeLLabel2 | MH_Palette | MH_Volumelist
MH_Gauge | MH_Penadjust | MH_VSpace
MH_Get | MH_Pendisplay | MH_Window
MH_Group | MH_Popasl | MUI_FALSE
MH_HBar | MH_PopButton | muihelper
MH_HCenter | MH_Poplist | MUI_TRUE
MH_HGroup | MH_Popobject |

N

NoFrame

P

pcq PropFrame PutTextToClip

R

ReadListFrame

S

SliderFrame | strieq | strnicmp
strcmp | StringFrame | strnieq
strcpy | strncat | strpos
strdup | strncmp | strrpos
streq | strncpy | SubWindow
stricmp | strneq |

T

TDispatcherFunc | THookFunc | toupper
TextFrame | tolower |

U

uppercase

V

VirtualFrame

W

WindowContents


Unit 'AMsgBox' | Package
[Overview][Procedures and functions][Index] | [#ami-extra]

Reference for unit 'AMsgBox'

uses

  System;


Unit 'cliputils' | Package
[Overview][Procedures and functions][Index] | [#ami-extra]

Reference for unit 'cliputils'

uses

  System;


ButtonFrame

Frame type, draw a button like Frame

Declaration

Source position: muihelper.pas line 39

const ButtonFrame = MUIV_Frame_Button;


Child

Adding Child items to Group objects

Declaration

Source position: muihelper.pas line 52

const Child = MUIA_Group_Child;


GaugeFrame

Frame type, draw a gague frame

Declaration

Source position: muihelper.pas line 47

const GaugeFrame = MUIV_Frame_Gauge;


GroupFrame

Frame type, draw a grouop box frame

Declaration

Source position: muihelper.pas line 49

const GroupFrame = MUIV_Frame_Group;


ImageButtonFrame

Frame type, draw a image button like Frame

Declaration

Source position: muihelper.pas line 40

const ImageButtonFrame = MUIV_Frame_ImageButton;


Reference for unit 'muihelper'

Helper function to create MUI applications

uses

  System,

  exec,

  intuition,

  mui,

  amigados,

  utility;

Overview

A helper unit make it possible to create MUI application in the same way as you would in C (and MUI examples are written). C provides macros for this purpose. For Free Pascal this unit provides wrapper functions with the same name as the C define but with prefix "MH_".

Example

program balancing;
uses
  Exec, Utility, intuition, AmigaDos, mui, muihelper;
procedure StartMe;
var
  App, Window: PObject_;
  Sigs: LongInt;
begin
  app := MH_Application([
    MUIA_Application_Title,       AsTag('BalanceDemo'),
    MUIA_Application_Version,     AsTag('$VER: BalanceDemo 19.5 (12.02.97)'),
    MUIA_Application_Copyright,   AsTag('©1995, Stefan Stuntz'),
    MUIA_Application_Author,      AsTag('Stefan Stuntz'),
    MUIA_Application_Description, AsTag('Show balancing groups'),
    MUIA_Application_Base,        AsTag('BALANCEDEMO'),

    SubWindow, AsTag(MH_Window(Window, [
      MUIA_Window_Title,  AsTag('Balancing Groups'),
      MUIA_Window_ID,     MAKE_ID('B','A','L','A'),
      MUIA_Window_Width , MUIV_Window_Width_Screen(50),
      MUIA_Window_Height, MUIV_Window_Height_Screen(50),

      WindowContents, AsTag(MH_HGroup([

        Child, AsTag(MH_VGroup(GroupFrame, [MUIA_Weight, 15,
          Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight,  50, TAG_END])),
          Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight, 100, TAG_END])),
          Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
          Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight, 200, TAG_END])),
          TAG_END])),

        Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),

        Child, AsTag(MH_VGroup([
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_Rectangle(TextFrame, [MUIA_ObjectID, 123, TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [MUIA_ObjectID, 456, TAG_END])),
            TAG_END])),
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
            TAG_END])),
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_HGroup([
              Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
              Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
              Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
              TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_HGroup([
              Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
              Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
              Child, AsTag(MH_Rectangle(TextFrame, [TAG_END])),
              TAG_END])),
            TAG_END])),
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight,  50, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight, 100, TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Rectangle(TextFrame, [MUIA_Weight, 200, TAG_END])),
            TAG_END])),
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_SimpleButton('Also')),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_SimpleButton('Try')),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_SimpleButton('Sizing')),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_SimpleButton('With')),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_SimpleButton('Shift')),
            TAG_END])),
          Child, AsTag(MH_HGroup(GroupFrame, [
            Child, AsTag(MH_Label('Label 1:')),
            Child, AsTag(MH_Text('data...', [TAG_END])),
            Child, AsTag(MH_Balance([MUIA_CycleChain, 1, TAG_END])),
            Child, AsTag(MH_Label('Label 2:')),
            Child, AsTag(MH_Text('more data...', [TAG_END])),
            TAG_END])),
          TAG_END])),
        TAG_END])),
      TAG_END])),
    TAG_END]);

  if not Assigned(app) then
  begin
    writeln('Failed to create Application');
    Exit;
  end;

  DoMethod(window, [MUIM_Notify, MUIA_Window_CloseRequest, MUI_TRUE,
    AsTag(app), 2, AsTag(MUIM_Application_ReturnID), AsTag(MUIV_Application_ReturnID_Quit)]);

  // This is the ideal input loop for an object oriented MUI application.
  // Everything is encapsulated in classes, no return ids need to be used,
  // we just check if the program shall terminate.
  // Note that MUIM_Application_NewInput expects sigs to contain the result
  // from Wait() (or 0). This makes the input loop significantly faster.

  MH_Set(Window, MUIA_Window_Open, AsTag(True));
  //
  if MH_Get(Window, MUIA_Window_Open) <> 0 then
  begin
    while Integer(DoMethod(app, [MUIM_Application_NewInput, AsTag(@sigs)])) <> MUIV_Application_ReturnID_Quit do
    begin
      if Sigs <> 0 then
      begin
        Sigs := Wait(sigs or SIGBREAKF_CTRL_C);
        if (Sigs and SIGBREAKF_CTRL_C) <> 0 then
          Break;
      end;
    end;
  end;
  //Shut down...
  MH_Set(Window, MUIA_Window_Open, AsTag(True));

  MUI_DisposeObject(app);
end;

begin
  StartMe;
end.


Reference for unit 'muihelper': Constants

ButtonFrame | Frame type, draw a button like Frame
Child | Adding Child items to Group objects
GaugeFrame | Frame type, draw a gague frame
GroupFrame | Frame type, draw a grouop box frame
ImageButtonFrame | Frame type, draw a image button like Frame
InputListFrame | Frame type, draw a list frame
MUI_FALSE | False Value for MUI functions
MUI_TRUE | True Value for MUI functions
NoFrame | Frame type, draw no Frame
PropFrame | Frame type, draw a propprtional gadget frame
ReadListFrame | Frame type, draw a read only list frame
SliderFrame | Frame type, draw a slider frame
StringFrame | Frame type, draw a string gadget frame
SubWindow | Adding windows to application object
TextFrame | Frame type, draw a text frame
VirtualFrame | Frame type, draw a virtual frame
WindowContents | Adding main Object to Window object


Unit 'muihelper' | Package
[Overview][Constants][Types][Procedures and functions][Index] | [#ami-extra]

Reference for unit 'muihelper': Types

TDispatcherFunc

THookFunc


InputListFrame

Frame type, draw a list frame

Declaration

Source position: muihelper.pas line 44

const InputListFrame = MUIV_Frame_InputList;


MUI_FALSE

False Value for MUI functions

Declaration

Source position: muihelper.pas line 35

const MUI_FALSE = 0;


MUI_TRUE

True Value for MUI functions

Declaration

Source position: muihelper.pas line 34

const MUI_TRUE = 1;


NoFrame

Frame type, draw no Frame

Declaration

Source position: muihelper.pas line 38

const NoFrame = MUIV_Frame_None;


PropFrame

Frame type, draw a propprtional gadget frame

Declaration

Source position: muihelper.pas line 45

const PropFrame = MUIV_Frame_Prop;


ReadListFrame

Frame type, draw a read only list frame

Declaration

Source position: muihelper.pas line 43

const ReadListFrame = MUIV_Frame_ReadList;


SliderFrame

Frame type, draw a slider frame

Declaration

Source position: muihelper.pas line 46

const SliderFrame = MUIV_Frame_Slider;


StringFrame

Frame type, draw a string gadget frame

Declaration

Source position: muihelper.pas line 42

const StringFrame = MUIV_Frame_String;


SubWindow

Adding windows to application object

Declaration

Source position: muihelper.pas line 53

const SubWindow = MUIA_Application_Window;


TDispatcherFunc

Declaration

Source position: muihelper.pas line 31

type TDispatcherFunc = function(

  Hook: PIClass;

  Obj: PObject_;

  Msg: Intuition.PMsg

):PtrUInt;


TextFrame

Frame type, draw a text frame

Declaration

Source position: muihelper.pas line 41

const TextFrame = MUIV_Frame_Text;


THookFunc

Declaration

Source position: muihelper.pas line 30

type THookFunc = function(

  Hook: PHook;

  Obj: PObject_;

  Msg: Pointer

):PtrInt;


VirtualFrame

Frame type, draw a virtual frame

Declaration

Source position: muihelper.pas line 48

const VirtualFrame = MUIV_Frame_Virtual;


WindowContents

Adding main Object to Window object

Declaration

Source position: muihelper.pas line 54

const WindowContents = MUIA_Window_RootObject;


Reference for unit 'pcq'

uses

  System,

  exec,

  strings;